Bug 184305 - Review Request: ftnchek - Static analyzer for Fortran 77 programs
Review Request: ftnchek - Static analyzer for Fortran 77 programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-07 17:06 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 18:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-03-07 17:06:26 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/ftnchek.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/ftnchek-3.3.1-1.src.rpm
Description: 

ftnchek is a static analyzer for Fortran 77 programs. It is designed to
detect certain errors in a Fortran program that a compiler usually does
not. ftnchek is not primarily intended to detect syntax errors. Its
purpose is to assist the user in finding semantic errors. Semantic
errors are legal in the Fortran language but are wasteful or may cause
incorrect operation. For example, variables which are never used may
indicate some omission in the program; uninitialized variables contain
garbage which may cause incorrect results to be calculated; and variables
which are not declared may not have the intended type. ftnchek is
intended to assist users in the debugging of their Fortran program. It is
not intended to catch all syntax errors. This is the function of the
compiler. Prior to using ftnchek, the user should verify that the program
compiles correctly.
Comment 1 Patrice Dumas 2006-03-08 06:28:43 EST
1. The RPM CFLAGS are not set. Here is a sed one-liner that solves that. You may
prefer a patch, do what you prefer:

sed -i -e 's/CFLAGS="-DUNIX.*"//' configure

2. you don't install the emacs stuff. Not a big deal. If you want to package it,
you may want to have them in a subpackage ftncheck-emacs. Here is how I do to
have the emacs files in the buildroot:

mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/ftnchek \
   lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

3. I prefer something like
%{_mandir}/man1/dcl2inc.1*
instead of 
%{_mandir}/man1/dcl2inc.1.gz
such that it works if man pages are no gzipped, or are bzip2ed and so on. It is
my personal taste

4. you should add FAQ and PATCHES in %doc

Please fix 1. and 4., and do whatever you like with 2. and 3.
Comment 2 Orion Poplawski 2006-03-08 12:28:27 EST
Thanks for the review!

(In reply to comment #1)
> 1. The RPM CFLAGS are not set. Here is a sed one-liner that solves that. You may
> prefer a patch, do what you prefer:
> 
> sed -i -e 's/CFLAGS="-DUNIX.*"//' configure
> 

I also did:

export CFLAGS="$RPM_OPT_FLAGS -DUNIX"

as it appears that the UNIX flag is still required.

> 2. you don't install the emacs stuff. Not a big deal. If you want to package it,
> you may want to have them in a subpackage ftncheck-emacs. Here is how I do to
> have the emacs files in the buildroot:
> 
> mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
> %makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/ftnchek \
>    lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

Made an emacs sub-package.  I also added a BR on emacs so the .elc file would be
built.
 
> 3. I prefer something like
> %{_mandir}/man1/dcl2inc.1*
> instead of 
> %{_mandir}/man1/dcl2inc.1.gz
> such that it works if man pages are no gzipped, or are bzip2ed and so on. It is
> my personal taste

Good idea
 
> 4. you should add FAQ and PATCHES in %doc

done.

New version:
http://www.cora.nwra.com/~orion/fedora/ftnchek.spec
http://www.cora.nwra.com/~orion/fedora/ftnchek-3.3.1-2.src.rpm
Comment 3 Patrice Dumas 2006-03-08 14:24:14 EST
- one rpmlint warning that could be ignored

W: ftnchek-emacs no-documentation

- named according to the guidelines
- open-source MIT licence, included
- follow packaging guidelines
- match upstream source
- builds in fc5 mock 

Needswork

+ should own %{_datadir}/ftnchek/

Nitpick

- It would be more consistent to have a dot (.) at the end of the description
for the emacs subpackage. That could be fixed later, though.
Comment 4 Orion Poplawski 2006-03-08 15:25:38 EST
(In reply to comment #3)
> - one rpmlint warning that could be ignored
> 
> W: ftnchek-emacs no-documentation
> 
Ignored.

> + should own %{_datadir}/ftnchek/

Oops, fixed.
 
> Nitpick
> 
> - It would be more consistent to have a dot (.) at the end of the description
> for the emacs subpackage. That could be fixed later, though.

Fixed.

New version:
http://www.cora.nwra.com/~orion/fedora/ftnchek.spec
http://www.cora.nwra.com/~orion/fedora/ftnchek-3.3.1-3.src.rpm
Comment 5 Patrice Dumas 2006-03-08 17:07:19 EST
Everything is in order, so

APPROVED
Comment 6 Orion Poplawski 2006-03-08 18:22:24 EST
Checked in.
Added to owners.list
Built on devel.

Note You need to log in before you can comment on or make changes to this bug.